%define upstream_name	 GraphViz
%define upstream_version 2.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Carp) >= 1.10.0
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(IO::Dir) >= 1.40.0
BuildRequires: perl(IO::File) >= 1.100.0
BuildRequires: perl(IPC::Run) >= 0.600.0
BuildRequires: perl(LWP::Simple) >= 6.0.0
BuildRequires: perl(Parse::RecDescent) >= 1.965.1
BuildRequires: perl(Pod::Usage) >= 1.160.0
BuildRequires: perl(Test::More) >= 1.1.14
BuildRequires: perl(Test::Pod) >= 1.480.0
BuildRequires: perl(Time::HiRes) >= 1.510.0
BuildRequires: perl(XML::Twig) >= 3.380.0
BuildRequires: perl(XML::XPath) >= 1.130.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: fonts-ttf-dejavu
BuildRequires: graphviz
BuildArch:  noarch

Requires:   graphviz
%{?perl_default_filter}

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato" and "twopi" programs from the GraphViz
project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/). 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.200.0-2.mga6
+ Revision: 1027967
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2.200.0-1.mga6
+ Revision: 923756
- update to 2.20

* Tue Jul 07 2015 sander85 <sander85> 2.180.0-1.mga6
+ Revision: 852513
- update to 2.18

* Wed Oct 15 2014 umeabot <umeabot> 2.150.0-4.mga5
+ Revision: 744360
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.150.0-3.mga5
+ Revision: 732203
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.150.0-2.mga5
+ Revision: 684894
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.150.0-1.mga5
+ Revision: 588355
- update to 2.15

* Fri Oct 18 2013 umeabot <umeabot> 2.140.0-3.mga4
+ Revision: 511956
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.140.0-2.mga3
+ Revision: 367865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.140.0-1.mga3
+ Revision: 317624
- update to 2.14

* Wed Sep 26 2012 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 298001
- update to 2.11

* Tue Jun 05 2012 jquelin <jquelin> 2.100.0-1.mga3
+ Revision: 254961
- update to 2.10

* Thu Dec 15 2011 jquelin <jquelin> 2.90.0-1.mga2
+ Revision: 181801
- update to 2.09

* Wed Nov 09 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 165779
- update to 2.08

* Sun Jan 23 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 33791
- mageia rebuild
- imported package perl-GraphViz


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.40.0-1mdv2010.0
+ Revision: 402138
- rebuild using %%perl_convert_version

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdv2009.1
+ Revision: 314246
- update to new version 2.04

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.03-3mdv2009.0
+ Revision: 257132
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-1mdv2008.1
+ Revision: 110398
- update to new version 2.03

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-5mdv2008.0
+ Revision: 88421
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-4mdv2007.0
- Rebuild

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-3mdv2007.0
- Rebuild

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-2mdk
- spec cleanup
- %%mkrel
- better URL

* Thu Jan 13 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.02-1mdk 
- new release
- back in official contrib

* Thu Sep 30 2004 Guillaume Rousse <guillomovitch@zarb.org> 2.01-1plf
- New release 2.01

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 2.00-1plf
- New release 2.00

* Wed Aug 25 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.9-1plf
- new version 
- PLF transfer
- requires graphviz
- no more explicit perl requires
- fixed buildrequires

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8-4mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8-3mdk
- fixed dir ownership (distlint)
- %%makeinstall_std macro

